Bug 196496 - FileNotFoundException on closing full remote project if the original project is deleted
FileNotFoundException on closing full remote project if the original project ...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
PC Linux
: P2 (vote)
: 7.0
Assigned To: Vladimir Kvashin
issues@cnd
FULL_REMOTE
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 14:04 UTC by Alexander Pepin
Modified: 2011-03-21 14:46 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2011-03-09 14:04:34 UTC
Steps to reproduce:
- create a full remote project
- close the project
- delete the original project on the remote host
- open the full remote project, it's opened successfully
- close the full remote project (I guess it could be any other action with the project)
Result: Exception occurs:
java.io.FileNotFoundException: /export/home/tester/working/test_io_gnu/nbproject/configurations.xml
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.getFileObject(ShadowProjectSynchronizer.java:211)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.getOrigCompilerSet(ShadowProjectSynchronizer.java:190)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteConfiguration(ShadowProjectSynchronizer.java:217)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProject(ShadowProjectSynchronizer.java:118)
[catch] at org.netbeans.modules.cnd.makeproject.actions.MakeConfigurationSaveListenerImpl.updateRemoteProject(MakeConfigurationSaveListenerImpl.java:133)
	at org.netbeans.modules.cnd.makeproject.actions.MakeConfigurationSaveListenerImpl.configurationSaved(MakeConfigurationSaveListenerImpl.java:101)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:747)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 Vladimir Kvashin 2011-03-14 08:36:02 UTC
fixed in cnd-main
http://hg.netbeans.org/cnd-main/rev/d290f4bd3c4d
Comment 2 Quality Engineering 2011-03-15 09:44:59 UTC
Integrated into 'main-golden', will be available in build *201103150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d290f4bd3c4d
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #196496 #196543 #196648
Comment 3 Alexander Simon 2011-03-16 17:33:09 UTC
Fix was reviewed. It seems fix is valid and resolves problem.
Comment 4 Marian Mirilovic 2011-03-18 10:04:35 UTC
isn't this one fixed in Nb 7.0 ? 
http://hg.netbeans.org/releases/rev/8b4f2dc27346

... added keyword and fixed TM, if not please rollback
Comment 5 Vladimir Kvashin 2011-03-18 17:54:40 UTC
Yes, the fix was integrated into release70 as part of the fix for issue 196501.
Comment 6 Alexander Pepin 2011-03-21 14:46:26 UTC
verified, see bug #196501


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo